Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 52625 - emerge crashes with Segmentation fault line 1428
Summary: emerge crashes with Segmentation fault line 1428
Status: RESOLVED NEEDINFO
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Unspecified (show other bugs)
Hardware: All Linux
: High blocker (vote)
Assignee: Gentoo's Team for Core System packages
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-05-31 13:59 UTC by twist
Modified: 2004-06-10 01:45 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description twist 2004-05-31 13:59:29 UTC
When I try to emerge gzip, I get an error about an broken pipe. It looks like this:
+ tar --no-same-owner -xzf /usr/portage/distfiles/makepasswd_1.10.orig.tar.gz
/usr/sbin/ebuild.sh: line 1428:  4915 Segmentation fault      tar ${tarvars} -xzf "${DISTDIR}/${x}"
+ diefunc unpack 333 139 'failure unpacking makepasswd_1.10.orig.tar.gz'
+ local funcname=unpack lineno=333 exitcode=139
+ shift 3
+ echo

+ echo '!!! ERROR: app-admin/makepasswd-1.10 failed.'
!!! ERROR: app-admin/makepasswd-1.10 failed.
+ echo '!!! Function unpack, Line 333, Exitcode 139'
!!! Function unpack, Line 333, Exitcode 139
+ echo '!!! failure unpacking makepasswd_1.10.orig.tar.gz'
!!! failure unpacking makepasswd_1.10.orig.tar.gz
+ echo

+ exit 1
box10 portage # 
gzip: stdout: Broken pipe

box10 portage #

Reproducible: Always
Steps to Reproduce:
1. emerge an package with ending .tar.gz and you have the problem...
Actual Results:  
nothing... it crashes with segfault and broken pipe-error

Expected Results:  
install

do an: emerge makepasswd --debug


+ set +x
+ dyn_unpack
+ trap abort_unpack SIGINT SIGQUIT
+ local newstuff=no
+ '[' -e /var/tmp/portage/makepasswd-1.10/work ']'
+ '[' -e /var/tmp/portage/makepasswd-1.10/work ']'
+ install -m0700 -d /var/tmp/portage/makepasswd-1.10/work
+ '[' -d /var/tmp/portage/makepasswd-1.10/work ']'
+ cd /var/tmp/portage/makepasswd-1.10/work
+ echo '>>> Unpacking source...'
>>> Unpacking source...
+ src_unpack
+ '[' makepasswd_1.10.orig.tar.gz '!=' '' ']'
+ unpack makepasswd_1.10.orig.tar.gz
+ local x
+ local y
+ local myfail
+ local tarvars
+ '[' GNU == BSD ']'
+ tarvars=--no-same-owner
+ myfail=failure unpacking makepasswd_1.10.orig.tar.gz
++ pwd
+ echo '>>> Unpacking makepasswd_1.10.orig.tar.gz to
/var/tmp/portage/makepasswd-1.10/work'
>>> Unpacking makepasswd_1.10.orig.tar.gz to /var/tmp/portage/makepasswd-1.10/work
++ echo makepasswd_1.10.orig.tar.gz
++ sed 's:.*\.\(tar\)\.[a-zA-Z0-9]*:\1:'
+ y=tar
+ '[' tar == tar ']'
+ tar --no-same-owner -xzf /usr/portage/distfiles/makepasswd_1.10.orig.tar.gz
/usr/sbin/ebuild.sh: line 1428:  4915 Segmentation fault      tar ${tarvars}
-xzf "${DISTDIR}/$
{x}"
+ diefunc unpack 333 139 'failure unpacking makepasswd_1.10.orig.tar.gz'
+ local funcname=unpack lineno=333 exitcode=139
+ shift 3
+ echo

+ echo '!!! ERROR: app-admin/makepasswd-1.10 failed.'
!!! ERROR: app-admin/makepasswd-1.10 failed.
+ echo '!!! Function unpack, Line 333, Exitcode 139'
!!! Function unpack, Line 333, Exitcode 139
+ echo '!!! failure unpacking makepasswd_1.10.orig.tar.gz'
!!! failure unpacking makepasswd_1.10.orig.tar.gz
+ echo

+ exit 1
box10 portage # 
gzip: stdout: Broken pipe    << what's this????

box10 portage # 

i've played a little with the "ebuild gzip-1.3.3-r2.ebuild unpack" and tracked
it down to line 331 in the unpack-fct.
i replaced 

tar ${tarvars} -xzf "${DISTDIR}/${x}" || die "$myfail"

with

(gzip -dc "${DISTDIR}/${x}" | tar ${tarvars} -x) || die "$myfail"

... same prob

is this a bug in bash - environment to small???



ah, yes, my emerge info:

Portage 2.0.50-r7 (default-x86-1.4, gcc-3.3.3, glibc-2.3.3_pre20040207-r0, 2.4.26)
=================================================================
System uname: 2.4.26 i686 AMD Athlon(tm) XP 2000+
Gentoo Base System version 1.4.10
Autoconf: sys-devel/autoconf-2.59-r3
Automake: sys-devel/automake-1.8.3
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CFLAGS="-O2 -march=athlon-xp -pipe"
CHOST="i686-pc-linux-gnu"
COMPILER="gcc3"
CONFIG_PROTECT="/etc /usr/X11R6/lib/X11/xkb /usr/kde/2/share/config
/usr/kde/3.1/share/config /usr/kde/3.2/share/config /usr/kde/3/share/config
/usr/lib/mozilla/defaults/pref /usr/share/config /var/qmail/alias
/var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-O2 -march=athlon-xp -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoaddcvs ccache sandbox"
GENTOO_MIRRORS="ftp://ftp.uni-erlangen.de/pub/mirrors/gentoo"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X aalib alsa apache2 apm arts avi berkdb bonobo crypt cups dga dvd encode
esd foomaticdb gdbm gif gnome gtk gtk2 guile imlib java jpeg kde ldap libg++
libwww mad mikmod motif mozilla mpeg mysql ncurses nls oggvorbis opengl oss pam
pdflib perl png python qt quicktime readline sdl slang spell ssl svga tcltk tcpd
tiff truetype x86 xml2 xmms xv zlib"
Comment 1 twist 2004-06-01 01:47:41 UTC
btw:

1) i can re-emerge portage without any problems
2) i replaced bash, tar, gzip from a working system
3) etc-update is uptodate
Comment 2 Nicholas Jones (RETIRED) gentoo-dev 2004-06-05 15:54:07 UTC
Try underclocking your system by 20-50 percent.
It's possible that you have a chipped core or you're system is overheating.
Comment 3 Nicholas Jones (RETIRED) gentoo-dev 2004-06-09 18:14:44 UTC
tar is broken, not portage.
Need info to help with this at all.
Comment 4 twist 2004-06-10 01:45:57 UTC
no, tar and co are _not_ broken.

i replaced them from other systems.

btw. i replaced more or less the whole base-system from http://dev.gentoo.org/~avenj/bins/
 
(coreutils, bash, binutilsm, python, .. )

this is very strange: some packages are working, some not...